{# Templates/Help/help_gameover.html.twig #}

{% extends 'Help/baseHelp.html.twig' %}

{% trans_default_domain 'Help' %}

{% block helpPicture %}
    <img class="screen" src="{{ asset('img/loc/fr/death.jpg') }}">
{% endblock %}

{% block helpHeader %}
    {{ 'navigation.gameover' | trans }}
{% endblock %}

{% block helpContent %}
    <div class="content">
        {% set isConnected = app.user != null %}
        {% set isInGameAndAlive = false %}
        {% if isConnected and app.user.lord != null %}
            {% set isInGameAndAlive = app.user.lord.isAlive %}
        {% endif %}
        {% if isInGameAndAlive %}
            {% set lordId = app.user.lord.id %}
        {% endif %}
        <p>
            Après chaque tour de production, votre <b>âge</b> augmentera. Plus votre
            âge est avancé et plus vous avez de chance de voir votre santé se
            dégrader. Vous passez successivement par les stades de <b>santé</b>
            suivants : Excellente, Bonne, Mauvaise, Mort.
        </p>
        <p>
            Il est possible de prolonger votre vie en améliorant votre santé grâce à
            une <b>potion de vie</b>. Cette option s'affichera dans l'onglet
            {#<a href="/">Gestion</a>#}
            {% if isInGameAndAlive %}
                <a href="{{ path('app_management_management', {'id': lordId}) }}">{{ 'navbar.managament' | trans([], 'Common') }}</a>
            {% else %}
                <u>{{ 'navbar.managament' | trans([], 'Common') }}</u>
            {% endif %}
            quand votre santé ne sera plus Excellente.
        </p>
        <p>
            La seconde façon de mourir est suite à une longue absence : si vous
            laissez votre capitale sans jouer, vos tours de production s'accumuleront
            et finiront par se jouer automatiquement. Une fois votre capitale ramenée
            à une faible population, votre royaume sera considéré comme <b>décadent</b>
            et vous perdez la partie.
        </p>
        <p>
            Enfin, si votre niveau de santé est <b>Mauvaise</b>, vous pouvez acheter
            une fiole de poison de façon à pouvoir plus rapidement recommencer une
            nouvelle partie.
        </p>
        <p>
            Lors de votre mort, vos exploits seront enregistrés dans le
            {# TODO Route -> Pantheon #}
            <a href="/pantheon">Panthéon</a>.
        </p>
        <p>
            Vous pourrez alors choisir un nouveau monde et recommencer une nouvelle
            partie, avec une nouvelle capitale, de nouveaux voisins, et une nouvelle
            chance de devenir <b>Empereur</b>.
        </p>
    </div>
{% endblock %}

{% block helpNavigation %}
    {% set vars = {
        'previousLink': path('app_help_trade'),
        'previousText': 'navigation.trade' | trans,
        'nextLink': path('app_help_diplo'),
        'nextText': 'navigation.diplomacy' | trans
    } %}
    {% include 'Help/helpNavbar.html.twig' with vars %}
{% endblock %}